schema documentation for anchor gives wrong edges (e.g., [childof])
Closed, ResolvedPublic

Description

http://www.kythe.io/docs/schema/#anchor

The "Expected out-edges" are childof ... this has been changed and childof file is implied (anchors must have the same root, corpus, path as the files that contain them).

Also, should list the edges that are OK from an anchor, such as ref, defines/binding, etc.

pludemann created this task.Via WebFeb 17 2017, 10:35 AM
pludemann added a subscriber: pludemann.
Herald added a subscriber: Core Team. · View Herald TranscriptVia HeraldFeb 17 2017, 10:35 AM
pludemann added a comment.Via WebFeb 17 2017, 11:21 AM

Also, the documentation for verifier (http://kythe.io/docs/kythe-verifier.htm) has this text, which seems to be wrong if the childof information is implicit in an anchor:

These constraints notably leave out the file that the anchor is a child of. If there is concern that the anchor may match against an equivalent range in a different file, you can use an equality constraint to bind a name to the anchor’s implicit evar, then constrain this evar to be the child of some file node.

fromberger claimed this task.Via WebFeb 23 2017, 6:47 PM
fromberger closed this task as "Resolved" by committing rK72dcb3443c43: Update documentation for anchors..Via DaemonsFeb 24 2017, 1:36 PM

Add Comment